<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<com.google.android.material.card.MaterialCardView xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:id="@+id/alerts"
	android:layout_width="match_parent"
	android:layout_height="64dp"
	android:layout_marginStart="8dp"
	android:layout_marginTop="8dp"
	android:layout_marginEnd="8dp"
	android:backgroundTint="@color/safety">

	<androidx.constraintlayout.widget.ConstraintLayout
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<ImageView
			android:id="@+id/imageView"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginStart="8dp"
			android:importantForAccessibility="no"
			android:src="@drawable/warning"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="@+id/alerts_text"
			app:tint="@color/black" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/alerts_text"
			tool:text="Warning: Serious blockade on Piastowska towards Wojska Polskiego. Lines 5, 14, 163 diverted. Change for other means of transport, e.g. lines \n\naaaaa"
			android:layout_width="0dp"
			android:layout_height="0dp"
			android:layout_marginStart="8dp"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="8dp"
			android:ellipsize="end"
			android:maxLines="3"
			android:textColor="@color/black"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toStartOf="@+id/more_button"
			app:layout_constraintStart_toEndOf="@+id/imageView"
			app:layout_constraintTop_toTopOf="parent" />

		<com.google.android.material.button.MaterialButton
			android:id="@+id/more_button"
			style="@style/Widget.Material3.Button.TextButton"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="@string/more"
			android:textColor="@color/link"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent" />
	</androidx.constraintlayout.widget.ConstraintLayout>
</com.google.android.material.card.MaterialCardView>